ldconfig(8)

NOME
ldconfig - configura o conector dinâmico de ligacões em tempo de execução

SINOPSE
/sbin/ldconfig [-nNvVX] [-C cache] [-f conf] [-r root] directory ...
/sbin/ldconfig -l [-v] library ...
/sbin/ldconfig -p

DESCRIÇÃO
ldconfig cria os links (ou ligações) e o cache necessários para as bibliotecas compartilhadas mais recentes, encontradas nos diretórios especificados na linha de comando, no arquivo /etc/ld.so.conf, e nos diretórios confiáveis (/lib e /usr/lib). (em algumas arquiteturas de 64 bits, como x86-64, /lib e /usr/lib são os diretórios confiáveis para bibliotecas de 32 bits, enquanto /lib64 e /usr/lib64 são usados para bibliotecas de 64 bits).

O cache é usado pelo conector em tempo de execução, ld.so ou ld-linux.so. ldconfig verifica o cabeçalho e os nomes de arquivo das bibliotecas que ele encontra, determinando quais versões deverão ter seus links atualizados. ldconfig normalmente deve ser executado pelo superusuário, pois pode exigir permissão de gravação em alguns diretórios e arquivos de propriedade do root.

ldconfig só examinará arquivos denominados lib*.so* (para objetos compartilhados regulares) ou ld-*.so* (para o próprio carregador dinâmico). Outros arquivos serão ignorados. Além disso, ldconfig espera um certo padrão de como os links simbólicos são configurados, como este exemplo, onde o arquivo do meio (libfoo.so.1 aqui) é o SONAME para a biblioteca:

    libfoo.so -> libfoo.so.1 -> libfoo.so.1.12

O não cumprimento desse padrão pode resultar em problemas de compatibilidade após uma atualização.

OPÇÕES

--format=formato
-c fmt
    (Desde glibc 2.2) O formato de cache a ser usado deve ser: old, new ou compat. Desde glibc 2.32, o padrão é new. Antes, era compat..

-C cache
    Use o cache ao invés de /etc/ld.so.cache.

-f conf
    Use conf ao invés de /etc/ld.so.conf.

--ignore-aux-cache
-i
    (Desde glibc 2.7) Ignora o arquivo de cache auxiliar.

-l  (Desde glibc 2.2) Interpreta cada operando como um nome de biblioteca e configura seus links. Destinado somente para especialistas.

-n  Somente processa diretórios especificados na linha de comando; não processa diretórios confiáveis nem aqueles especificados em /etc/ld.so.conf. Implica em -N.

-N  Não reconstrói o cache. A menos que -X seja também especificado, links ainda são atualizados.

--print-cache
-p
    Imprime a lista de diretórios e bibliotecas candidatas, armazenadas no cache atual.

-r root
    Muda para raiz e usa como o diretório raiz.

--verbose
-v
    Modo verboso. Imprime o número da versão atual, o nome de cada diretório assim que ele for verificado e qualquer link for criada. Suplanta o modo 'quiet'.

--version
-V
    Mostra a versão do programa.

-X  Não atualiza links. A menos que -N seja também especificado, o cache ainda é reconstruído.

ARQUIVOS
/lib/ld.so
    é o conector/carregador em tempo de execução.
/etc/ld.so.conf
    contém uma lista de diretórios, um por linha, nos quais se procura por bibliotecas.
/etc/ld.so.cache
    Arquivo contendo uma lista ordenada das bibliotecas encontradas nos diretórios especificados em /etc/ld.so.conf, bem como aqueles encontrados nos diretórios confiáveis.

VEJA TAMBÉM
ldd(1), ld.so(8)

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Ricardo C.O.Freitas <english.quest@best-service.com>, André Luiz Fassone <lonely_wolf@ig.com.br> e Rafael Fontenelle <rafaelff@gnome.org>.

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).